質問する
1

El CapitnでJRE使用不可

質問日 2016-03-19 07:59:01 +0200

acid_Kaz のGravatar画像

LOバージョンを5.10以上にすると、Java Runtime Enviromentの選択ができなくなり、Baseが使用不可となります。 OSは、MacOSX ver10.11.3です。 JAVAは、バージョン8更新73(ビルド1.8.0_73-b02) なお、古いバージョンにすると、正常に表示、使用できます。

edit retag flag offensive close merge delete

2 Answer

2

回答日 2016-04-15 22:20:07 +0200

acid_Kaz のGravatar画像

よく見ると、リリースノートに解決策が乗っていました。


新しい注目の事柄:LibreOffice OS X版は、BASE(HSQLDB)やJAVAで記述された幾つかのエクステンションを使用するためにはOracle Java JDKのインストールを要求します(例として NLPSolver)。

従前の動作環境として用いられていたApple JRE 6やOracle JRE 8の両方とも、もはや十分ではありません。今回のJDKの使い方はハードコードになっています、tdf#74877、 tdf#94716 と core commit 32bc8ddbf335dd26019edcf12758643b4cff9913 を見てください。

とりあえず、OracleJDKをインストールしましたら解決しました。 一様、ダウンロードのURL http://www.oracle.com/technetwork/jp/...

結構昔からのようですね。 このバグ?仕様?が解決するのを待つよりは、すなおにJDKをインストールしたほうが早そうです。

edit flag offensive delete link もっと

Comments

まぁリリースノートにあることに気づかなくても無理は無いかもしれませんね。 英語版で記述が追加されたのが3月12日。日本語版で3月15日。 「リリースノートは前に読んだことある」という意識になるとなかなか…。

https://wiki.documentfoundation.org/i...

https://wiki.documentfoundation.org/i...

himajin100000 のGravatar画像himajin100000 ( 2016-04-16 07:00:22 +0200 )edit

モデレータとして。問題解決されたようなので解決のマークを付けておきます。

あと、これリリースノートではなくもっとちゃんとしたところに書くべきじゃないかなと思うので、あとでメーリングリストで問題提起をしておきます。(あるいは、どなたかやっていただけるとありがたい;ひとまずは日本語でよいと思います)

Naruhiko のGravatar画像Naruhiko ( 2016-05-08 14:49:00 +0200 )edit
0

回答日 2016-03-27 04:57:30 +0200

himajin100000 のGravatar画像

updated 2016-03-27 05:05:38 +0200

以下、役に立つかわからんが、後で読む。

[libreoffice-users] Java broke on LO 5.1 on Macs http://listarchives.libreoffice.org/g... では、質問者と回答者で誰(Apple,Oracle,LO)が修正する責任を持つか、修正しないように保つべきかで争いが起きている。(Workaroundとしては「Oracle JREじゃなくてOracle JDK入れろ」)

そんな中で提示されたバグレポ

Bug 94716 - FILEOPEN: LibO terminates when loading Oracle's Java on OS X 10.10 and 10.11

https://bugs.documentfoundation.org/s...

(俺いつも「後で読む」とか書きつつ、先に読んでたりするけど、今回はマジでバグレポ読んでません)

edit flag offensive delete link もっと
ログイン/サインアップして回答する

質問ツール

1 follower

Stats

Asked: 2016-03-19 07:59:01 +0200

Seen: 185 times

Last updated: Apr 15 '16